Bug 22521 - update request for tellico
Summary: update request for tellico
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: Mageia 6
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-02-04 12:54 CET by Philippe Didier
Modified: 2018-05-19 22:57 CEST (History)
5 users (show)

See Also:
Source RPM: tellico-3.0.2-1.1.mga6.srpm
CVE:
Status comment:


Attachments

Description Philippe Didier 2018-02-04 12:54:02 CET
Description of problem:
tellico-3.0.2-1 provided by Mageia 6 has a little bug (the track length of an imported audio CD is given in sectors instead of seconds...)


in august 2017 Bruno Cornec built a corrected version tellico-3.0.2-1.1 (fixing tellico upstream bug https://bugs.kde.org/show_bug.cgi?id=379426) which is still in update-testing 
but seems not to have been tested

I tested it on a x86_64 system and it's OK (preserving the already built library and giving a correct length to newly imported audioCD)

it may be uploaded to the update repo (perhaps need a test on a 586 system but the little modification allows to think it's OK on both systems without having to test it)
Philippe Didier 2018-02-04 12:57:27 CET

CC: (none) => bruno

Philippe Didier 2018-02-04 12:58:34 CET

CC: (none) => geiger.david68210

Comment 1 Marja Van Waes 2018-02-07 11:05:49 CET
Assigning to the registered maintainer.

CC: (none) => marja11
Assignee: bugsquad => bruno

Comment 2 Philippe Didier 2018-03-07 23:55:06 CET
Hi

This bugfix is still in update-testing ... and never has been proposed to QA (I tested it and it works... on a 64 bits mageia6)

But maybe, it needs now to be rebuilt with the new QT version 5.9.4 from update-testing before being proposed to QA with the other KDE applications

Perhaps this has to be tagged as blocking for bug 22660 ?

NB (I didn't dare to test the whole stack of updates for QT KF5 plasma and KDE on my production computer)

Target Milestone: --- => Mageia 6

Comment 3 David GEIGER 2018-03-09 09:31:00 CET
Done for a rebuild!

So now awaiting for the new Qt 5.9.4 stack validated and pushed before pushing
tellico.
Comment 4 Philippe Didier 2018-03-09 17:52:53 CET
thanks

it seems to be in the list of KF5 stack update
https://bugs.mageia.org/show_bug.cgi?id=22658#c1
Bruno Cornec 2018-05-04 14:07:34 CEST

Assignee: bruno => qa-bugs

Comment 5 PC LX 2018-05-10 00:29:20 CEST
Installed and tested without issues.

Tested using two large collection. Loading, editing, saving, viewing, all worked.
One thing I noticed is that it uses lots more memory than before. Checking where the memory is used shows that it is the preloading of images that consumes most of the memory.

$ uname -a
Linux marte 4.14.38-desktop-1.mga6 #1 SMP Mon Apr 30 13:15:08 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -q tellico
tellico-3.0.2-1.2.mga6

CC: (none) => mageia

Comment 6 Lewis Smith 2018-05-18 22:03:24 CEST
Thanks PC_LX for your exhaustive tests.
Testing M6/64 specifically for the the fault described in comment 0.
System up-to-date re Qt5, Plasma, KDE etc Big Update.

BEFORE update: tellico-3.0.2-1.mga6
Could not find a menu entry for it after in installation, so launched it from terminal.
Imported an audio CD, which eventually listed on the terminal 1 Artist line per track. Clicking on it in the RH Album column showed each track with a number which was *not* the duration in seconds; I will believe it is the number of sectors! Deleted it.

AFTER update: tellico-3.0.2-1.2.mga6
Importing the same audio CD did not list an Artist line per track. Clicking on it in the RH Album column listed all the tracks with correct mm:ss timings.
Good update.
I will do the Advisory from the description & bug RPMs page.

Whiteboard: (none) => MGA6-64-OK
Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 7 Mageia Robot 2018-05-19 22:57:47 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0089.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.